POST /api/fleet/health_check

Spaces method and path for this operation:

post /s/{space_id}/api/fleet/health_check

Refer to Spaces for more information.

Check the health status of a Fleet Server instance by its host ID. Returns the server status and name if available.

[Required authorization] Route required privileges: fleet-settings-all.

Headers

  • kbn-xsrf string Required

    A required header to protect against CSRF attacks

application/json

Body

  • id string Required

Responses

  • 200 application/json

    Successful health check response

    Hide response attributes Show response attributes object
    • host_id string
    • name string
    • status string Required
  • 400 application/json

    Bad Request

    Hide response attributes Show response attributes object
    • attributes Required
    • error string
    • errorType string
    • message string Required
    • statusCode number
  • 404 application/json

    Not Found

    Hide response attributes Show response attributes object
    • attributes Required
    • error string
    • errorType string
    • message string Required
    • statusCode number
POST /api/fleet/health_check
curl \
 --request POST 'https://<KIBANA_URL>/api/fleet/health_check' \
 --header "Authorization: $API_KEY" \
 --header "Content-Type: application/json" \
 --header "kbn-xsrf: true" \
 --data '{"id":"fleet-server-host-id-1"}'
Request example
Check the health of a Fleet Server instance by its host ID
{
  "id": "fleet-server-host-id-1"
}
Response examples (200)
Fleet Server is online and healthy
{
  "name": "fleet-server-1",
  "status": "ONLINE"
}
Fleet Server host is not reachable (request timed out or aborted)
{
  "host_id": "fleet-server-host-id-1",
  "status": "OFFLINE"
}
Response examples (400)
The host ID exists but has no associated host URLs configured
{
  "error": "Bad Request",
  "message": "The requested host id fleet-server-host-id-1 does not have associated host urls.",
  "statusCode": 400
}
Response examples (404)
No Fleet Server host was found with the given ID
{
  "error": "Not Found",
  "message": "The requested host id fleet-server-host-id-1 does not exist.",
  "statusCode": 404
}